#!/bin/bash

# Iterar sobre todos los archivos con extensión .texto en el directorio actual
for archivo in *.txt; do
    # Crear un archivo temporal con mktemp
    archivo_temporal=$(mktemp)

    echo "-------------------------------------------------------------"
    echo "--- $archivo ----"

    # Llamar al comando ./tolower.py con el nombre del archivo y redirigir la salida al archivo temporal
    /home/sromero/Desktop/ASM_ZXSpectrum/tolower.py "$archivo" > "$archivo_temporal"

    # Verificar el código de retorno del comando
    if [ $? -eq 0 ]; then
        # Si no hay errores, borrar el archivo original y renombrar el temporal
        rm "$archivo"
        mv "$archivo_temporal" "$archivo"
    else
        # Si hay errores, mostrar un aviso por pantalla

        echo 
        echo "Error procesando el archivo: $archivo"
        # No borrar ni renombrar en caso de error
    fi
done

